=== debian/changelog ===
geary (0.3.1-1~raring1) raring; urgency=low

  * Reduced CPU and memory footprint
  * Account dialog bugs fixed
  * Stability improvements

 -- Eric Gregory <eric@yorba.org>  Tue, 09 Apr 2013 11:39:44 -0700

geary (0.3.0-2~raring1) raring; urgency=low

  * Fix control file

 -- Charles Lindsay <chaz@yorba.org>  Tue, 19 Mar 2013 18:07:37 -0700

geary (0.3.0-1~raring1) raring; urgency=low

  * Support for multiple accounts
  * Account editor
  * Basic full conversations
  * Some light background downloading of messages
  * Mark as spam/not spam
  * "Important" folder support
  * Multiple compressed messages are collapsed in conversation viewer
  * Mark as read as you scroll in conversation viewer
  * Highlight unread messages in conversation viewer
  * New keyboard shortcuts (see help)
  * Allow auth-less SMTP
  * Conversation viewer WebKit inspector
  * Many bugfixes

 -- Charles Lindsay <chaz@yorba.org>  Tue, 19 Mar 2013 15:01:19 -0700

geary (0.3.0pr1~raring1) raring; urgency=low

  * Pre-prelease 

 -- Eric Gregory <eric@yorba.org>  Wed, 06 Mar 2013 13:16:40 -0800

geary (0.2.2-2~precise2) precise; urgency=low

  * Updated for daily build PPA.

 -- Jim Nelson <jim@yorba.org>  Mon, 29 Oct 2012 16:29:25 +0100

geary (0.2.2-1~precise1) precise; urgency=low

  * Fix PLAIN authentication (failed w/ Yahoo! and other SMTP servers)
  * Build will fail if intltool not installed (necessary for .desktop)

 -- Jim Nelson <jim@yorba.org>  Thu, 18 Oct 2012 15:38:44 -0700

geary (0.2.1-1~precise5) precise; urgency=low

  * Save attachments FileChooserDialog now displays network mounts
  * Adds support for SMTP PLAIN authentication
  * Installs Italian translation (overlooked in 0.2.0)
  * Adds three new translations: Czech, Telugu, and Turkish
  * Preferences dialog and .desktop file now translated
  * Icon and desktop file cache updated after uninstall
  * Various translation fixes, including translations not being displayed

 -- Jim Nelson <jim@yorba.org>  Mon, 08 Oct 2012 18:09:18 -0700

geary (0.2.0-1~precise1) precise; urgency=low

  * Fixed Dovecot-related IMAP issues
  * Fixed Exim-related SMTP issues
  * Improved icons
  * Toolbar improvements
  * Composer window redesign and bug fixes
  * Conversation List redesign
  * Messaging Menu integration
  * Numerous bug and stability fixes

 -- Jim Nelson <jim@yorba.org>  Mon, 01 Oct 2012 14:56:27 -0700

geary (0.1.90-1~precise1) precise; urgency=low

  * Support for sending and receiving attachments
  * New mail notification for GNOME Shell and Unity
  * Outbox for scheduled delivery of messages
  * Better visual presentation of conversations
  * Full SSL and STARTTLS support
  * Fine-grained control of account information for connecting to Dovecot
    and generic IMAP servers
  * Address autocompletion when composing a message
  * Database optimizations
  * Strings marked for translation and .pot file now available
  * Numerous bug and stability fixes

 -- Jim Nelson <jim@yorba.org>  Wed, 05 Sep 2012 12:48:48 -0700

geary (0.1.0-1~precise1) precise; urgency=low

  * Initial release.  Features include:
    - Lightweight IMAP/SMTP email client
    - Integration with GMail and Yahoo Mail features
    - Read/write HTML email
    - Support for starring, archiving, mark as read/unread

 -- Eric Gregory <eric@yorba.org>  Wed, 04 May 2012 17:30:00 -0700
