=== debian/control ===
Source: geary
Section: gnome
Priority: optional
Maintainer: Jim Nelson <jim@yorba.org>
Build-Depends: debhelper (>= 8), 
 libgee-0.8-dev (>= 0.8.0),
 libglib2.0-dev (>= 2.32.0),
 libgtk-3-dev (>= 3.6.0),
 libunique-3.0-dev (>= 3.0.0),
 libnotify-dev (>=0.7.5),
 libcanberra-dev (>= 0.28),
 libwebkitgtk-3.0-dev (>= 1.10.0),
 libxml2-dev (>= 2.7.8),
 libsecret-1-dev (>= 0.11),
 libgmime-2.6-dev (>= 2.6.0),
 valac-0.22 (>= 0.21.1),
 cmake (>= 2.8.0),
 libsqlite3-dev (>= 3.7.4),
 libmessaging-menu-dev (>= 12.10.2),
 libunity-dev (>= 5.12.0),
 intltool,
 libgirepository1.0-dev (>= 1.32.0),
 desktop-file-utils
Standards-Version: 3.8.3
Homepage: http://www.yorba.org

Package: geary
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libgee-0.8-2 (>= 0.8.0),
 libglib2.0-0 (>= 2.32.0),
 libgtk-3-0 (>= 3.6.0),
 libunique-3.0-0 (>= 3.0.0),
 libnotify4 (>= 0.7.5),
 libcanberra0 (>= 0.28),
 libwebkitgtk-3.0-0 (>= 1.10.0),
 libxml2 (>= 2.7.8),
 libsqlite3-0 (>= 3.7.4),
 libgmime-2.6-0 (>= 2.6.0),
 libsecret-1-0 (>= 0.11),
 libmessaging-menu0 (>= 12.10.2),
 libunity9 (>= 5.12.0)
Description: Email client
 Geary is an email client built for the GNOME desktop environment.  It
 allows you to read and send email with a simple, modern interface.
 .
 Visit http://www.yorba.org to read about the current state of 
 Geary's development.

Package: geary-dbg
Architecture: any
Section: debug
Priority: extra
Depends: geary (= ${binary:Version}), ${misc:Depends}
Enhances: geary
Description: Email client (debugging symbols)
 Geary is an email client built for the GNOME desktop environment.  It
 allows you to read and send email with a simple, modern interface.
 .
 Visit http://www.yorba.org to read about the current state of 
 Geary's development.
 .
 This package contains debugging symbols for geary.
